---
title: word-break
slug: Web/CSS/word-break
tags:
  - CSS
  - CSS Property
  - Reference
  - break-word
  - 'recipe:css-property'
  - word-break
---
<div>{{CSSRef}}</div>

<p>The<strong> <code>word-break</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether line breaks appear wherever the text would otherwise overflow its content box.</p>

<div>{{EmbedInteractiveExample("pages/css/word-break.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
word-break: normal;
word-break: break-all;
word-break: keep-all;
word-break: break-word; /* deprecated */

/* Global values */
word-break: inherit;
word-break: initial;
word-break: unset;
</pre>

<p>The <code>word-break</code> property is specified as a single keyword chosen from the list of values below.</p>

<h3 class="brush:css" id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>Use the default line break rule.</dd>
 <dt><code>break-all</code></dt>
 <dd>To prevent overflow, word breaks should be inserted between any two characters (excluding Chinese/Japanese/Korean text).</dd>
 <dt><code>keep-all</code></dt>
 <dd>Word breaks should not be used for Chinese/Japanese/Korean (CJK) text. Non-CJK text behavior is the same as for <code>normal</code>.</dd>
 <dt><code>break-word</code> {{Deprecated_Inline}}</dt>
 <dd>Has the same effect as <code>word-break: normal</code> and <code>overflow-wrap: anywhere</code>, regardless of the actual value of the {{cssxref("overflow-wrap")}} property.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> In contrast to <code>word-break: break-word</code> and <code>overflow-wrap: break-word</code> (see {{cssxref("overflow-wrap")}}), <code>word-break: break-all</code> will create a break at the exact place where text would otherwise overflow its container (even if putting an entire word on its own line would negate the need for a break).</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;1. &lt;code&gt;word-break: normal&lt;/code&gt;&lt;/p&gt;
&lt;p class="normal narrow"&gt;This is a long and
 Honorificabilitudinitatibus califragilisticexpialidocious Taumatawhakatangihangakoauauotamateaturipukakapikimaungahoronukupokaiwhenuakitanatahu
 グレートブリテンおよび北アイルランド連合王国という言葉は本当に長い言葉&lt;/p&gt;

&lt;p&gt;2. &lt;code&gt;word-break: break-all&lt;/code&gt;&lt;/p&gt;
&lt;p class="breakAll narrow"&gt;This is a long and
 Honorificabilitudinitatibus califragilisticexpialidocious Taumatawhakatangihangakoauauotamateaturipukakapikimaungahoronukupokaiwhenuakitanatahu
 グレートブリテンおよび北アイルランド連合王国という言葉は本当に長い言葉&lt;/p&gt;

&lt;p&gt;3. &lt;code&gt;word-break: keep-all&lt;/code&gt;&lt;/p&gt;
&lt;p class="keepAll narrow"&gt;This is a long and
 Honorificabilitudinitatibus califragilisticexpialidocious Taumatawhakatangihangakoauauotamateaturipukakapikimaungahoronukupokaiwhenuakitanatahu
 グレートブリテンおよび北アイルランド連合王国という言葉は本当に長い言葉&lt;/p&gt;

&lt;p&gt;4. &lt;code&gt;word-break: break-word&lt;/code&gt;&lt;/p&gt;
&lt;p class="breakWord narrow"&gt;This is a long and
  Honorificabilitudinitatibus califragilisticexpialidocious Taumatawhakatangihangakoauauotamateaturipukakapikimaungahoronukupokaiwhenuakitanatahu
 グレートブリテンおよび北アイルランド連合王国という言葉は本当に長い言葉&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">.narrow {
  padding: 10px;
  border: 1px solid;
  width: 500px;
  margin: 0 auto;
  font-size: 20px;
  line-height: 1.5;
  letter-spacing: 1px;
}

.normal {
  word-break: normal;
}

.breakAll {
  word-break: break-all;
}

.keepAll {
  word-break: keep-all;
}

.breakWord {
  word-break: break-word;
}
</pre>

<p>{{EmbedLiveSample('Examples', '100%', 600)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#word-break-property', 'word-break')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.word-break")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("overflow-wrap")}}</li>
</ul>
